import { createRendererMotionComponent } from '../../../motion/index.mjs';
import { animations } from '../../../motion/features/animations.mjs';
import { drag } from '../../../motion/features/drag.mjs';
import { gestureAnimations } from '../../../motion/features/gestures.mjs';
import { layout } from '../../../motion/features/layout.mjs';
import { createDomVisualElement } from '../../dom/create-visual-element.mjs';
import { createDomMotionConfig } from '../../dom/utils/create-config.mjs';

const preloadedFeatures = {
    ...animations,
    ...gestureAnimations,
    ...drag,
    ...layout,
};
function createMotionComponent(Component, options = { forwardMotionProps: false }) {
    const config = createDomMotionConfig(Component, options, preloadedFeatures, createDomVisualElement);
    return createRendererMotionComponent(config);
}

export { createMotionComponent };
